modules/avored/promotion/routes/web.php
<?php

/*
  |--------------------------------------------------------------------------
  | AvoRed E commerce Routes
  |--------------------------------------------------------------------------
  |
  | Here is where you can register all of the routes for an avored user modules.
  | It's a breeze. Simply tell avored user module the URI it should respond to
  | and give it the controller to call when that URI is requested.
  |
 */

$baseAdminUrl = config('avored-framework.admin_url');

Route::middleware(['web', 'admin.auth', 'permission'])
    ->prefix($baseAdminUrl)
    ->name('admin.')
    ->namespace('AvoRed\Promotion\Http\Controllers')
    ->group(function () {


        Route::resource('promotion','PromotionController');


    });

modules/avored/promotion/resources/views/promotion/_fields.blade.php
@include('avored-framework::forms.text',['name' => 'name','label' => __('avored-promotion::promotion.name')])

@include('avored-framework::forms.textarea',['name' => 'description','label' => __('avored-promotion::promotion.description')])


@include('avored-framework::forms.select',['name' => 'discount_type',
                                        'label' => __('avored-promotion::promotion.discount_type'),
                                        'options' => ['PERCENTAGE' => "Percentage","FIXED" => "Fixed Amount"]])

@include('avored-framework::forms.text',['name' => 'amount','label' => __('avored-promotion::promotion.amount')])

modules/avored/promotion/resources/views/promotion/create.blade.php
@extends('avored-framework::layouts.app')

@section('content')

    <div class="row">
        <div class="col-md-12">
        <div class="h1"> {{ __('avored-promotion::promotion.promotion-create') }}</div>
        <form action="{{ route('admin.promotion.store') }}" enctype="multipart/form-data" method="post">
            @csrf


            <div class="row" id="promotion-save-accordion" data-children=".promotion-card">
                <div class="col-12">
                    <div class="card promotion-card  mb-2 mt-2">
                        <a data-toggle="collapse" data-parent="#promotion-save-accordion"
                           class="float-right" href="#basic">
                            <div class="card-header">
                                Basic Details
                            </div>
                        </a>
                        <div class="card-body collapse show" id="basic">
                            @include('avored-promotion::promotion._fields')
                        </div>
                    </div>

                    <div class="card promotion-card mb-2 mt-2">
                        <a data-toggle="collapse" data-parent="#promotion-save-accordion"
                           class="float-right" href="#rules">
                            <div class="card-header">
                                Rules
                            </div>
                        </a>
                        <div class="card-body collapse" id="rules">
                            @include('avored-promotion::promotion._rules')
                        </div>
                    </div>


                    <div class="form-group">
                        <button class="btn btn-primary" type="submit">
                            {{ __('avored-promotion::promotion.promotion-update') }}
                        </button>
                        <a href="{{ route('admin.promotion.index') }}" class="btn">
                            {{ __('avored-framework::lang.cancel') }}
                        </a>
                    </div>


                </div>
            </div>
        </form>
        </div>
    </div>
@endsection

modules/avored/promotion/resources/views/promotion/edit.blade.php
@extends('avored-framework::layouts.app')

@section('content')

    {{ __('avored-banner::banner.banner-update') }}
    <form action="{{ route('admin.banner.update', $model->id) }}" enctype="multipart/form-data" method="post">
        @csrf
        @method('put')

        <div class="row" id="promotion-save-accordion" data-children=".promotion-card">
            <div class="col-12">
                <div class="card promotion-card  mb-2 mt-2">
                    <a data-toggle="collapse" data-parent="#promotion-save-accordion"
                       class="float-right" href="#basic">
                        <div class="card-header">
                            Basic Details
                        </div>
                    </a>
                    <div class="card-body collapse show" id="basic">
                        @include('avored-banner::banner._fields')
                    </div>
                </div>

                <div class="card promotion-card mb-2 mt-2">
                    <a data-toggle="collapse" data-parent="#promotion-save-accordion"
                       class="float-right" href="#rules">
                        <div class="card-header">
                            Rules
                        </div>
                    </a>
                    <div class="card-body collapse" id="rules">
                        @include('avored-promotion::promotion._rules')
                    </div>
                </div>


                <div class="form-group">
                    <button class="btn btn-primary" type="submit">
                        {{ __('avored-banner::banner.banner-update') }}
                    </button>
                    <a href="{{ route('admin.banner.index') }}" class="btn">
                        {{ __('avored-framework::lang.cancel') }}
                    </a>
                </div>


            </div>
        </div>
    </form>
@endsection

modules/avored/promotion/resources/views/promotion/index.blade.php
@extends('avored-framework::layouts.app')

@section('content')
    <div class="container">
        <div class="h1">
            {{ __('avored-promotion::promotion.promotion-list') }}

            <a href="{{ route('admin.promotion.create') }}"
               class="float-right btn btn-primary">
                {{  __('avored-promotion::promotion.promotion-create') }}
            </a>

        </div>
        {!! DataGrid::render($dataGrid) !!}
    </div>
@stop